Bug 738651 - xfce terminal menus do not display
Summary: xfce terminal menus do not display
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce-utils
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 13:25 UTC by E. Lewis
Modified: 2012-01-11 19:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-11 19:23:14 UTC


Attachments (Terms of Use)

Description E. Lewis 2011-09-15 13:25:38 UTC
Description of problem:
xfce terminal menus do not display when 'display compositing' is enabled.

Version-Release number of selected component (if applicable):
0.4.8

How reproducible:
always

Steps to Reproduce:
1. Enable display compositing (xfce window manager tweaks, compositor tab, tick 'enable display compositing'
2. Bring up xfce terminal. Click on any of the menu items.
3.
  
Actual results:
Please see above

Expected results:
Menu item drop down list would appear.

Additional info:
If 'display compositing' is not enabled, the menu items work properly.
This does not seem to impact other applications.

Comment 1 Kevin Fenzi 2011-09-15 17:29:51 UTC
Has it always behaved this way? Or did it start recently? 

What video card/driver do you have there?

If you move the mouse down, do the menu items work? (ie, are they there, just not visible, or is it just not popping up the menu item at all?).

Comment 2 E. Lewis 2011-09-15 18:01:18 UTC
If you move the mouse down, do the menu items work? (ie, are they there, just
not visible, or is it just not popping up the menu item at all?).

Yes, they are there. They are just not visible. Also, when I use the menu to set the terminal title, a dialogue box will show nothing that I type into the dialogue box. The title does set and display properly, however.

Has it always behaved this way? Or did it start recently?

I do not know; I have never used XFCE before.

What video card/driver do you have there?

"Intel Integrated Graphics, Media Accelerator 950, Latitude D820"
The above is from my sales slip for my Dell Latitude D820 on which I am running XFCE.

Comment 3 E. Lewis 2011-09-16 12:45:37 UTC
Additional investigation shows that bug occurs when I have an external monitor attached (which I most frequently have).
When I run with no external monitor, the bug is not present; program runs as expected.

Comment 4 Kevin Fenzi 2011-09-16 16:47:06 UTC
ok. Can you install and login to another Desktop env (gnome, kde, lxde, whatever) and pull up Terminal (xfce's terminal) and see if the behavior persists?

That would tell us if it's a Terminal bug, or a xfwm4 bug.

You are only seeing this with Terminal and only on the external monitor? Or when external monitor is attached it happens even on the internal display?

Comment 5 E. Lewis 2011-09-16 23:49:33 UTC
ok. Can you install and login to another Desktop env (gnome, kde, lxde,
whatever) and pull up Terminal (xfce's terminal) and see if the behavior
persists?

I ran in gnome. Works fine, both on internal and external monitors.

This happens in xfce session on both the internal and in the external monitor.

Comment 6 Kevin Fenzi 2011-09-17 17:41:57 UTC
Great. Thanks. So, that points to a xfwm4 compositor bug. 

Would you like me to file that upstream for you? Or would you be willing to do so? 
(Happy either way). 

https://bugzilla.xfce.org/enter_bug.cgi?product=Xfwm4

Comment 7 E. Lewis 2011-09-18 00:32:14 UTC
If you could make the filing, I would certainly appreciate it.
Thanks so much for your help.
I look forward to a solution.

Comment 8 Kevin Fenzi 2012-01-11 18:37:13 UTC
Ugh. This dropped to the bottom of my mailbox and I didn't get to filing it. ;( 

Can you confirm that its still happening? If so, I can get it filed...

Comment 9 E. Lewis 2012-01-11 19:15:32 UTC
Problem seems to have been fixed.
Thanks.

Comment 10 Kevin Fenzi 2012-01-11 19:23:14 UTC
Great. Thanks and sorry for the delay here.


Note You need to log in before you can comment on or make changes to this bug.